User Update AML
Update an existing user's AML (Anti-Money Laundering) profile information in the Treasury system.
Update User AML
PATCH /user/aml
Headers
| Header / Type | Condition | Description |
|---|---|---|
Authorizationstring | required | Bearer token retrieved from the Authentication endpoint. |
X-User-Idstring | optional-when X-Partner-User-Id | Unique user identifier from Treasury. |
X-Partner-User-Idstring | optional-when X-User-Id | Your internal user identifier. |
JSON Body
| Field / Type | Condition | Description |
|---|---|---|
occupation_codestring | optional | The occupation code of the user. |
monthly_income_codestring | optional | The monthly income code of the user. |
Note: All request body fields are optional, but at least one field must be provided in the request to perform an update.
Example Request
json
{
"occupation_code" : "OCC-001",
"monthly_income_code": "INC-002"
}
Response
Sample Response (200 OK)
Returned when the user AML information is successfully updated with the newly provided values in the system:
json
{
"code" : 200,
"message": "success"
}
Sample Response (202 Accepted)
Returned when the request is successfully accepted, but no database updates are performed because all provided fields match the user's current values in the system:
json
{
"code" : 202,
"sub_code": "no_update",
"message" : "no update will be performed"
}